- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TXPParser.cpp File Reference

`#include <osg/AlphaFunc>`
`#include <osg/Group>`
`#include <osg/Material>`
`#include <osg/TexEnv>`
`#include <osg/LOD>`
`#include <osg/Geode>`
`#include <osg/Billboard>`
`#include <osg/Matrix>`
`#include <osg/MatrixTransform>`
`#include <osg/Geometry>`
`#include <osg/CullFace>`
`#include <osg/Light>`
`#include <osg/Notify>`
`#include <osg/PolygonOffset>`
`#include <osg/PagedLOD>`
`#include <osgSim/LightPointNode>`
`#include <osg/Point>`
`#include <osg/ShapeDrawable>`
`#include <osg/ApplicationUsage>`
`#include <osgText/Text>`
`#include "TXPParser.h"`
`#include "TXPArchive.h"`
`#include <sstream>`

Include dependency graph for TXPParser.cpp:

## Functions
osg::Texture2D * | txp::getLocalTexture (trpgrImageHelper &image_helper, const trpgTexture *tex)
osg::Texture2D * | txp::getTemplateTexture (trpgrImageHelper &image_helper, trpgLocalMaterial *locmat, const trpgTexture *tex, int index)